Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.result
[Java] Interface DependencyResult

    @Incubating
    public interface DependencyResult

An edge in the dependency graph. Provides information about the origin of the dependency and the requested component.

See Also:
  ResolutionResult

Method Summary
`ResolvedComponentResult` | `getFrom()` Returns the origin of the dependency.
`ComponentSelector` | `getRequested()` Returns the requested component.

Method Detail

### getFrom

    public ResolvedComponentResult getFrom()

  Returns the origin of the dependency.
  Returns:
    the origin of the dependency

### getRequested

    public ComponentSelector getRequested()

  Returns the requested component.
  Returns:
    the requested component

Gradle API 1.10